Page MenuHomePhabricator

Change ParserFunctions license to GPL-2.0+
Closed, ResolvedPublic

Description

When fixing the license entry of Extension:ParserFunctions so it used a valid keyword, I noticed that the extension is apparently GPL-2.0 only, not GPL-2.0 or later as core. This seems an oversight, and actually most would not have noticed that bit, much less avoided contributing if it had the later part.

Technically, the README says «Licensed under GNU GPL. See COPYING for more license information.», and COPYING starts with the text «The ParserFunctions extension may be copied and redistributed under the GNU General Public License.», so we might be able to use the «If the Program does not specify a version number of the license, you may choose any version ever published by the Free Software Foundation.» clause despite COPYING containing a copy of the version 2.0

Still, I would like to allow people to raise any objection they may have with relicensing ParserFunctions from GPL 2.0 only to GPL 2.0 or later.

The people with commits on ParserFunctions so far (7353472e3a4) are:

UserCommit countOk?
Translation updater bot27629.6137%✓Bot adding CC-BY content
Siebrand Mazeland25327.1459%✓Yes
Raimond Spekking12713.6266%✓OK
Tim Starling454.82833%✓ per Tim source license
Rotem Liss171.82403%?
Sam Reed293.11159%✓Go for it
Brion Vibber141.50215%
Happy-melon121.28755%?
Andrew Garrett111.18026%
Alexandre Emsenhuber111.18026%
Kunal Mehta101.07296%✓sure
Rob Church90.965665%?
Chad Horohoe70.751073%
Huji70.751073%
jenkins-bot70.751073%✓ Bot-credited merges
Platonides60.643777%✓Yes
Ryan Kaldari60.643777%✓Yes
Brad Jorsch60.643777%✓Fine by me.
Aryeh Gregor50.536481%?
Jackmcbarn50.536481%
umherirrender50.536481%✓Yes
Antoine Musso40.429185%✓ Nothing worth a copyright from me. Yes!
Max Semenik40.429185%✓Yup
Robert Rohde40.429185%
Shinjiman40.429185%
Aaron Schulz30.321888%
Bertrand Grondin30.321888%?
Brian Wolff30.321888%✓i consent to this change
Ivan Lanin30.321888%?
Gabriel Wicke20.214592%✓ Would also be okay with dual-licensing under Apache-2.0.
Niklas Laxström20.214592%✓Ok
Ori Livneh20.214592%
Philip Tzou20.214592%?
Roan Kattouw20.214592%
Sean Colombo20.214592%?
shirayuki20.214592%✓Okay
X!20.214592%?
addshore10.107296%
aude10.107296%
Conrad Irwin10.107296%?
Danny B.10.107296%
eranroz10.107296%✓Yes
Fran Rogers10.107296%?
Greg Sabino Mullane10.107296%No objection
Ilmari Karonen10.107296%
Jimmy Collins10.107296%?
Katie Filbert10.107296%
Kevin Israel10.107296%
Liangent10.107296%✓Yes
Marcus Brinkmann10.107296%?
Mark A. Hershberger10.107296%✓Yes
Meno2510.107296%✓Yes
Paul Copperman10.107296%
Peter Gehres10.107296%
Tim Landscheidt10.107296%✓Yes
tonythomas0110.107296%✓Yes
Yaron Koren10.107296%

Total: 932 commits

(people marked as ? are not included on this task, as they do not seem to have a phabricator account)

Event Timeline

Platonides raised the priority of this task from to Needs Triage.
Platonides updated the task description. (Show Details)
Platonides added subscribers: Platonides, siebrand, Raymond and 34 others.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 31 2016, 12:07 AM
Platonides set Security to None.

Change 267520 had a related patch set uploaded (by Platonides):
T125322 Change ParserFunctions license to GPL-2.0

https://gerrit.wikimedia.org/r/267520

Danny_B triaged this task as Low priority.Jan 31 2016, 12:23 AM

No objection. Thanks for spotting that.

siebrand updated the task description. (Show Details)Jan 31 2016, 12:27 AM
siebrand removed a subscriber: siebrand.
Danny_B updated the task description. (Show Details)Jan 31 2016, 12:31 AM
Danny_B added a subscriber: MarkAHershberger.

I dislike GPLv3 myself, but then my code contributions are not relevant and I don't think they can be copyrightable. So I guess you have my +1 :)

Bawolff updated the task description. (Show Details)Jan 31 2016, 12:52 AM
Bawolff removed a subscriber: Bawolff.
scfc updated the task description. (Show Details)Jan 31 2016, 1:39 AM
Legoktm updated the task description. (Show Details)
Legoktm removed a subscriber: Legoktm.
eranroz updated the task description. (Show Details)Jan 31 2016, 6:06 AM
eranroz removed a subscriber: eranroz.
Meno25 updated the task description. (Show Details)Jan 31 2016, 7:25 AM
Umherirrender edited subscribers, added: P.Copp; removed: Umherirrender.
01tonythomas updated the task description. (Show Details)Jan 31 2016, 9:10 AM

Change 267520 had a related patch set uploaded (by Reedy):
Change ParserFunctions license to GPL-2.0

https://gerrit.wikimedia.org/r/267520

Reedy updated the task description. (Show Details)Jan 31 2016, 11:11 AM
Raymond updated the task description. (Show Details)Jan 31 2016, 11:15 AM
Reedy updated the task description. (Show Details)Jan 31 2016, 11:18 AM
Danny_B removed a subscriber: Danny_B.Jan 31 2016, 1:02 PM
Turnstep updated the task description. (Show Details)Jan 31 2016, 3:30 PM
Turnstep removed a subscriber: Turnstep.
liangent updated the task description. (Show Details)Jan 31 2016, 9:57 PM
MaxSem updated the task description. (Show Details)Jan 31 2016, 11:19 PM
kaldari updated the task description. (Show Details)Feb 1 2016, 5:59 PM
hashar updated the task description. (Show Details)Feb 1 2016, 8:01 PM
Anomie updated the task description. (Show Details)Feb 1 2016, 9:43 PM
Shirayuki updated the task description. (Show Details)Feb 1 2016, 11:51 PM

Is there a (legal?) tipping point somewhere where the license update can be made, or *must* it be 100% and should contributions by others be removed? Currently about 84% of commits has been approved for a license update. Commits are not really an account for lines of code, though.

GWicke updated the task description. (Show Details)EditedMar 11 2016, 9:26 PM

My personal view on licensing web services is that GPL is the worst of both worlds: Neither the teeth of AGPL, nor the lack of corporate fear and interoperability of Apache.

Is there a (legal?) tipping point somewhere where the license update can be made, or *must* it be 100% and should contributions by others be removed? Currently about 84% of commits has been approved for a license update. Commits are not really an account for lines of code, though.

Some patches might not be subject to copyright since they are trivial (i.e.: fixing a typo). But I am not a lawyer.

From the people left, most should be reachable and I have confidence they will agree on GPL2+. For the rest, we will want to look at their patches and most probably they are all trivial :-}

My personal view on licensing web services is that GPL is the worst of both worlds: Neither the teeth of AGPL, nor the lack of corporate fear and interoperability of Apache.

That is irrelevant to this task really. MediaWiki is GPL2 and Apache License 2 is incompatible with it anyway ( http://www.gnu.org/licenses/license-list.html#apache2 ).

hashar closed this task as Resolved.Jan 6 2017, 3:29 PM
hashar claimed this task.

Been bold. I have CR+2 the change.

hashar reassigned this task from hashar to Platonides.Jan 6 2017, 3:29 PM

Change 267520 merged by jenkins-bot:
Change ParserFunctions license to GPL-2.0

https://gerrit.wikimedia.org/r/267520

Huji added a comment.Jan 6 2017, 6:31 PM

No objections to +2.